Subject: Re: [PATCH v2 1/3] net: Ensure ->msg_control_user is used for user buffers

From: Christoph Hellwig <[email-masked]>
Date: Thu, 13 Apr 2023 16:08:10 +0200

On Thu, Apr 13, 2023 at 12:47:03PM +0100, Kevin Brodsky wrote:
> Since commit 1f466e1f15cf ("net: cleanly handle kernel vs user
> buffers for ->msg_control"), pointers to user buffers should be
> stored in struct msghdr::msg_control_user, instead of the
> msg_control field.  Most users of msg_control have already been
> converted (where user buffers are involved), but not all of them.
> 
> This patch attempts to address the remaining cases. An exception is
> made for null checks, as it should be safe to use msg_control
> unconditionally for that purpose.

Looks good:

Reviewed-by: Christoph Hellwig <[email-masked]>

although I would have expected this at the end of the series.  Given
that the patches don't overlap it shouldn't really matter in the end,
though.